*{
	padding: 0;
	margin: 0;
	box-sizing: border-box;
}

body{
	font-family: "helvetica neue", sans-serif;
}

.text-center{
	text-align: center;
}

.bg-primary{
	background-color: dodgerblue;
}

.bg-secondary{
	background-color: lightslategray;
}

.text-light{
	color: white;
}

.border{
	border: 1px solid gray;
}

.border-dark{
	border-color: black;
}

.pt-3{
	padding-top: 20px;
}

.pb-3{
	padding-bottom: 20px;
}

.row{

	/*
	- The "flex" value will change the element into a block-level flex -
	  allows the element to occupy space enough for its content
	*/

	display: flex;

	/*

	- "flex wrap" property prevents elements to exceed the width of the screen
	- pushes the next element to the next line
	*/

	flex-wrap: wrap;
}

/*
	Grid System: ;
		1 column: 100% width / 12 = 8.33%
*/

.col-1{
	/* 100% / 12 = 8.33%*/
	width: calc(100% / 12);
}

.col-2{
	/* (100% / 12) * 2 = 16.67%*/
	width: calc((100% / 12)*2);
}

.col-3{
	width: calc((100% / 12)*3);
}

.col-4{
	width: calc((100% / 12)*4);
}

.col-5{
	width: calc((100% / 12)*5);
}

.col-6{
	width: calc((100% / 12)*6);
}

.col-7{
	width: calc((100% / 12)*7);
}

.col-8{
	width: calc((100% / 12)*8);
}

.col-9{
	width: calc((100% / 12)*9);
}

.col-10{
	width: calc((100% / 12)*10);
}

.col-11{
	width: calc((100% / 12)*11);
}

.col-12{
	width: calc((100% / 12)*12);
}

/*CSS Media Query*/

/*Small Devices*/
@media (min-width: 576px){

	body{
		background-color: lightyellow;
	}
}

/*Medium Devices*/
@media (min-width: 768px){

	body{
		background-color: lightgreen;
	}
}

/*Large Devices*/
@media (min-width: 992px){

	body{
		background-color: lightblue;
	}
}
